org.tigris.scarab.actions
Class ChangeNotificationStatus

java.lang.Object
  extended byorg.apache.turbine.modules.Module
      extended byorg.apache.turbine.modules.Action
          extended byorg.apache.turbine.modules.ActionEvent
              extended byorg.apache.turbine.modules.actions.TemplateAction
                  extended byorg.apache.turbine.TemplateAction
                      extended byorg.tigris.scarab.actions.base.ScarabTemplateAction
                          extended byorg.tigris.scarab.actions.ChangeNotificationStatus

public class ChangeNotificationStatus
extends ScarabTemplateAction

Author:
hdab To change the template for this generated type comment go to Window - Preferences - Java - Code Generation - Code and Comments

Field Summary
 
Fields inherited from class org.tigris.scarab.actions.base.ScarabTemplateAction
DEFAULT_MSG, EMAIL_ERROR, ERROR_MESSAGE, NO_PERMISSION_MESSAGE
 
Fields inherited from class org.apache.turbine.modules.ActionEvent
BUTTON, BUTTON_LENGTH, LENGTH, METHOD_NAME_LENGTH, METHOD_NAME_PREFIX
 
Constructor Summary
ChangeNotificationStatus()
           
 
Method Summary
 void doCustomize(org.apache.turbine.RunData data, org.apache.turbine.TemplateContext context)
           
 void doDeletenotifications(org.apache.turbine.RunData data, org.apache.turbine.TemplateContext context)
          Delete notifications from the current user's notification list.
 ScarabGlobalTool getScarabGlobalTool(org.apache.turbine.TemplateContext context)
          Helper method to retrieve the ScarabRequestTool from the Context
 
Methods inherited from class org.tigris.scarab.actions.base.ScarabTemplateAction
doCancel, doDone, doGonext, doGotoothertemplate, doRefresh, doRefreshresultsperpage, doReset, doSave, getBackTemplate, getBackTemplate, getCancelTemplate, getCancelTemplate, getCurrentTemplate, getCurrentTemplate, getIntakeTool, getLastTemplate, getLocalizationTool, getNextTemplate, getNextTemplate, getOtherTemplate, getScarabRequestTool, log
 
Methods inherited from class org.apache.turbine.modules.actions.TemplateAction
doPerform, doPerform, executeEvents
 
Methods inherited from class org.apache.turbine.modules.ActionEvent
execute, formatString, perform
 
Methods inherited from class org.apache.turbine.modules.Module
build, doBuild, doBuildTemplate, doBuildTemplate, evaluate, getPullService, getTemplateContext, getTemplateService, getTool, handleRequest, handleRequest, requestFinished, setTarget, setTemplate, templateExists
 
Methods inherited from class java.lang.Object
clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait
 

Constructor Detail

ChangeNotificationStatus

public ChangeNotificationStatus()
Method Detail

doDeletenotifications

public void doDeletenotifications(org.apache.turbine.RunData data,
                                  org.apache.turbine.TemplateContext context)
                           throws java.lang.Exception
Delete notifications from the current user's notification list. This method is mainly called from the Notification Screen to remove marked notifications. We assume the request parameters follow the name convention: name="notificationId_${ActivityId}_${CreatorId}_${ReceiverId}" with all ${..} variables as integer numbers.

Parameters:
data -
context -
Throws:
java.lang.Exception

doCustomize

public void doCustomize(org.apache.turbine.RunData data,
                        org.apache.turbine.TemplateContext context)
                 throws java.lang.Exception
Throws:
java.lang.Exception

getScarabGlobalTool

public ScarabGlobalTool getScarabGlobalTool(org.apache.turbine.TemplateContext context)
Helper method to retrieve the ScarabRequestTool from the Context



Copyright © 2000-2004 Tigris.org. All Rights Reserved.